exports.__esModule = true;
exports.deepEqual = exports.mapStateToComponents = exports.handleClientStateChange = exports.reducePropsToState = undefined;

var _deepEqual = require("deep-equal");

var _deepEqual2 = _interopRequireDefault(_deepEqual);

var _HelmetConstants = require("./HelmetConstants.js");

var _HelmetUtils = require("./HelmetUtils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getComponentForTag = function getComponentForTag(type, tags, encode, typeComponents) {
    switch (type) {
        case _HelmetConstants.TAG_NAMES.TITLE:
            return (0, _HelmetUtils.generateTitleAsReactComponent)(type, tags.title, tags.titleAttributes, encode);
        case _HelmetConstants.ATTRIBUTE_NAMES.BODY:
        case _HelmetConstants.ATTRIBUTE_NAMES.HTML:
            return (0, _HelmetUtils.convertElementAttributestoReactProps)(tags);
        default:
            return (0, _HelmetUtils.generateTagsAsReactComponent)(type, tags, typeComponents);
    }
};

var mapStateToComponents = function mapStateToComponents(_ref) {
    var baseTag = _ref.baseTag,
        bodyAttributes = _ref.bodyAttributes,
        encode = _ref.encode,
        htmlAttributes = _ref.htmlAttributes,
        linkTags = _ref.linkTags,
        metaTags = _ref.metaTags,
        noscriptTags = _ref.noscriptTags,
        scriptTags = _ref.scriptTags,
        styleTags = _ref.styleTags,
        _ref$title = _ref.title,
        title = _ref$title === undefined ? "" : _ref$title,
        titleAttributes = _ref.titleAttributes,
        typeComponents = _ref.typeComponents;
    return {
        base: getComponentForTag(_HelmetConstants.TAG_NAMES.BASE, baseTag, encode, typeComponents),
        bodyAttributes: getComponentForTag(_HelmetConstants.ATTRIBUTE_NAMES.BODY, bodyAttributes, encode),
        htmlAttributes: getComponentForTag(_HelmetConstants.ATTRIBUTE_NAMES.HTML, htmlAttributes, encode),
        link: getComponentForTag(_HelmetConstants.TAG_NAMES.LINK, linkTags, encode, typeComponents),
        meta: getComponentForTag(_HelmetConstants.TAG_NAMES.META, metaTags, encode, typeComponents),
        noscript: getComponentForTag(_HelmetConstants.TAG_NAMES.NOSCRIPT, noscriptTags, encode, typeComponents),
        script: getComponentForTag(_HelmetConstants.TAG_NAMES.SCRIPT, scriptTags, encode, typeComponents),
        style: getComponentForTag(_HelmetConstants.TAG_NAMES.STYLE, styleTags, encode, typeComponents),
        title: getComponentForTag(_HelmetConstants.TAG_NAMES.TITLE, { title: title, titleAttributes: titleAttributes }, encode)
    };
};

exports.reducePropsToState = _HelmetUtils.reducePropsToState;
exports.handleClientStateChange = _HelmetUtils.handleClientStateChange;
exports.mapStateToComponents = mapStateToComponents;
exports.deepEqual = _deepEqual2.default;